> For the complete documentation index, see [llms.txt](https://docs.photoroom.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.photoroom.com/remove-background-api-basic-plan/sandbox-mode.md).

# Sandbox Mode

You can make up to 1,000 free calls by month to the Image Editing API using sandbox mode (100 max per day).

Sandbox mode is meant to be used for testing and prototyping, and will produce an image with a watermark.

To use sandbox mode, prepend `sandbox_` to your API key. (Example: `sandbox_xxxxxxxxxxxxxxxx`)

```bash
curl --request POST \
  --url https://sdk.photoroom.com/v1/segment \
  --header 'x-api-key: sandbox_xxxxxxxxxxxxxxxx' \
  --form image_file=@/path/to/image.jpg \
  --output result-sandbox-mode.png
```

| ![](https://2855892273-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1SYxn7dWbQYsNtUdJE3f%2Fuploads%2FSfNyqw4ZvJfkjQhTrCtu%2Fshoes.jpeg?alt=media\&token=3d01688a-b234-4a5e-badf-5b99d4a3df53) | ![](https://2855892273-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1SYxn7dWbQYsNtUdJE3f%2Fuploads%2FaXSY2PsvAQcwKgmpZRQj%2Fresult-sandbox-mode.png?alt=media\&token=feb9a1b2-9fd8-4c17-9e2e-e9be19466333) | ![](https://2855892273-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1SYxn7dWbQYsNtUdJE3f%2Fuploads%2FJa5cSZt8LcCdnF4EPaci%2Fresult-sandbox-mode-sandbox.png?alt=media\&token=067d03d8-6128-4d95-b112-e9d2dcd06f0b) |
| :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: | :-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------: |
|                                                                                                  *(original image)*                                                                                                  |                                                                                                         *regular API call*                                                                                                        |                                                                                                          *sandbox mode API call*                                                                                                          |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.photoroom.com/remove-background-api-basic-plan/sandbox-mode.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
